Index: flexichain.lisp
===================================================================
RCS file: /project/flexichain/cvsroot/flexichain/flexichain.lisp,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 flexichain.lisp
--- flexichain.lisp	9 Feb 2006 02:51:06 -0000	1.1.1.1
+++ flexichain.lisp	26 Apr 2006 16:14:04 -0000
@@ -99,6 +99,12 @@
 than the length of CHAIN, the FLEXI-POSITION-ERROR condition will be
 signaled."))
 
+(defgeneric insert-vector* (chain position vector)
+  (:documentation "Inserts the elements of VECTOR before the
+element at POSITION in the chain. If POSITION is out of
+range (less than 0 or greater than the length of CHAIN, the
+FLEXI-POSITION-ERROR condition will be signaled."))
+
 (defgeneric delete* (chain position)
   (:documentation "Deletes an element at POSITION of the chain.
 If POSITION is out of range (less than 0 or greater than or equal
Index: flexirank.lisp
===================================================================
RCS file: /project/flexichain/cvsroot/flexichain/flexirank.lisp,v
retrieving revision 1.2
diff -u -r1.2 flexirank.lisp
--- flexirank.lisp	13 Mar 2006 18:13:33 -0000	1.2
+++ flexirank.lisp	26 Apr 2006 16:14:04 -0000
@@ -58,6 +58,7 @@
 (defclass flexirank-mixin () ())
 
 (defmethod move-elements :before ((chain flexirank-mixin) to from start1 start2 end2)
+  (declare (ignore to))
   (loop for old from start2 below end2
 	for new from start1
 	do (let ((element (aref from old)))
